import styles from "./card.module.css";
import Image from "next/image";
import Link from "next/link";
import Icons from "../icons";
import PropTypes from "prop-types";

const Card = ({
  mainTitle,
  description,
  imageUrl,
  postedOn,
  author,
  readingTime,
}) => {
  return (
    <div className={styles.row}>
      <div className={styles.card}>
        <Link href="#">
          <Image className={styles.img} src={imageUrl} alt="image1" />
        </Link>
        <div className={styles["card-content"]}>
          <Link href="#" className={styles.title}>
            {mainTitle}
          </Link>
          <p className={styles.description}>{description}</p>
          <div className={styles.cardbottom}>
            <Image
              className={styles.img}
              src={author.authImg}
              quality={100}
              alt="image2"
            />
            <div>
              <h3>{author.name}</h3>
              <p>
                {postedOn} <Icons name="clock" /> {readingTime}
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};
Card.propTypes = {
  mainTitle: PropTypes.string,
  description: PropTypes.string,
  imageUrl: PropTypes.object, // Use PropTypes.string for imageUrl
  postedOn: PropTypes.string,
  author: PropTypes.shape({
    name: PropTypes.string,
    authImg: PropTypes.string, // Use PropTypes.string for authImg
  }),
  postedOn: PropTypes.string,
  authorname: PropTypes.string,
  readingTime: PropTypes.string,
};

export default Card;
