import styles from "./search.module.css";
import Icon from "../icons";
import { useState } from "react";

const Search = ({ onSearch, onClose }) => {
  const [search, setSearch] = useState();
  const handleSearch = (e) => {
    setSearch(e);
    onSearch(e);
  };
  return (
    <div className={styles["search-input"]}>
      <span className={`${styles["search-icon"]}`}>
        <Icon name="search" />
      </span>
      <input
        className={styles.search}
        type="search"
        data-clear-btn="true"
        autoFocus={true}
        value={search}
        onChange={(e) => handleSearch(e.target.value)}
        placeholder="Discover news, articles and more"
      />
      {/* <span className={`${styles["close-icon"]}`}>
        <Icon name="close" />
      </span> */}
    </div>
  );
};

export default Search;
