import Image from "next/image";
import styles from "./single-blog.module.css";
import ReactMarkdown from "react-markdown";
import remarkGfm from "remark-gfm";
function SingleBlog({
  subTitle,
  postedOn,
  authorName,
  publishedIn,
  readTime,
  blogImg,
  tags,
  markdown,
}) {
  return (
    <>
      <h1 className={styles.title}>{subTitle}</h1>
      <div className={styles["blog-list"]}>
        <ul>
          <li>
            Posted on <span className={styles["list-bold"]}>{postedOn}</span>
          </li>
          <li>
            By <span className={styles["list-bold"]}>{authorName}</span>
          </li>
          <li>
            Published in
            <span className={styles["list-bold"]}>{publishedIn}</span>
          </li>
          <li>
            <span className={styles["list-bold"]}>{readTime}</span>
          </li>
        </ul>
      </div>
      <div className={styles["blog-container"]}>
        <div className={styles.blogimage}>
          <Image
            className={styles.img}
            src={blogImg}
            quality={100}
            alt="image"
          />
        </div>
        <div className={styles["blog-content"]}>
          <ReactMarkdown remarkPlugins={[remarkGfm]}>{markdown}</ReactMarkdown>
          <div className={styles.tag}>
            <h3>Tag:</h3>
            {tags.map((e, i) => (
              <p key={i}>{e}</p>
            ))}
          </div>
        </div>
      </div>
    </>
  );
}

export default SingleBlog;
